Package io.dapr.client.domain

# Class StateOptions

java.lang.Object
io.dapr.client.domain.StateOptions

    public class StateOptions
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `StateOptions.Concurrency` |
  `static class` | `StateOptions.Consistency` |
  `static class` | `StateOptions.RetryPolicy` |
  `static class` | `StateOptions.StateOptionDurationDeserializer` |
  `static class` | `StateOptions.StateOptionDurationSerializer` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StateOptions​(StateOptions.Consistency consistency, StateOptions.Concurrency concurrency, StateOptions.RetryPolicy retryPolicy)` | Represents options for a Dapr state API call.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `StateOptions.Concurrency` | `getConcurrency()` |
  `StateOptions.Consistency` | `getConsistency()` |
  `StateOptions.RetryPolicy` | `getRetryPolicy()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getStateOptionsAsMap()` | Returns state options as a Map of option name to value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StateOptions

    public StateOptions​(StateOptions.Consistency consistency, StateOptions.Concurrency concurrency, StateOptions.RetryPolicy retryPolicy)
    Represents options for a Dapr state API call.
    Parameters:
      `consistency` - The consistency mode.
      `concurrency` - The concurrency mode.
      `retryPolicy` - The retry policy.

- ## Method Details

  - ### getConcurrency

    public StateOptions.Concurrency getConcurrency()

  - ### getConsistency

    public StateOptions.Consistency getConsistency()

  - ### getRetryPolicy

    public StateOptions.RetryPolicy getRetryPolicy()

  - ### getStateOptionsAsMap

    public java.util.Map<java.lang.String,​java.lang.String> getStateOptionsAsMap()
    Returns state options as a Map of option name to value.
    Returns:
      A map of state options.